Last Comment Bug 672080 - Crash [@ nsLineLayout::ReflowFrame ]
: Crash [@ nsLineLayout::ReflowFrame ]
Status: RESOLVED FIXED
[sg:dos] null-pointer access [fixed b...
: crash, reproducible
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 All
: -- critical (vote)
: mozilla8
Assigned To: Mats Palmgren (:mats)
:
: Jet Villegas (:jet)
Mentors:
http://www.rastlos.com/wohnmobil_2010...
Depends on: 578977
Blocks: 532972
  Show dependency treegraph
 
Reported: 2011-07-16 14:55 PDT by Bob Clary [:bc:]
Modified: 2015-10-16 11:47 PDT (History)
3 users (show)
mats: in‑testsuite-
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
affected


Attachments

Description Bob Clary [:bc:] 2011-07-16 14:55:52 PDT
bp-ca4d1671-e4ef-4328-9559-87db32110716

1. http://www.rastlos.com/wohnmobil_2010_ruegen/ruegen_kap_arkona/
2. Crash Beta, Aurora, Nightly - Linux, Mac, Windows

See also bug 358173
Comment 1 Mats Palmgren (:mats) 2011-07-17 07:46:35 PDT
The nsLineLayout::ReflowFrame call is from nsFirstLetterFrame::Reflow
for a first-letter frame that has no child frame.  The frame tree looks
very much like the same situation as in bug 578977.  Applying the patch
in bug 578977 locally fixes it for me.
Test builds will be available shortly at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mpalmgren@mozilla.com-e4de685e7bb3/

The posted stack in bug 358173 looks like a different problem since the
call comes from nsInlineFrame::ReflowInlineFrame.
Comment 2 Mats Palmgren (:mats) 2011-07-18 14:19:37 PDT
Here's a better build to test (with the latest patch (v3) in bug 578977):
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mpalmgren@mozilla.com-023d6da70368
Comment 3 Bob Clary [:bc:] 2011-07-18 20:35:13 PDT
Testing the Mac Debug build fixes the crash for me. Mats, do you need me to test the others as well?
Comment 4 Mats Palmgren (:mats) 2011-07-19 05:32:07 PDT
Further testing shouldn't be necessary.  Thanks.

Fixed by bug 578977.
Comment 5 Mats Palmgren (:mats) 2013-05-18 17:44:40 PDT
There's no reduced test here so let's say the tests for bug 578977 is enough.

Note You need to log in before you can comment on or make changes to this bug.